/*************************************************************************
 *
 *  An implementation of Fortune's algorithm
 *  Copyright (C) 2012-2014 Jussi M. Hukkanen
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************
 *
 *  dotcell.h: header file for polygon renderer module
 *
 ************************************************************************/

#ifndef _DOTCELL_H_INCLUDED
#define _DOTCELL_H_INCLUDED

#include "fortune.h"
#ifdef H_GFX
#include H_GFX
#endif


#define DRAW_CELL_ROTATED  0x01
#define DRAW_CELL_PHYSICAL 0x02

#define CLIP_CELL_TOP      0x01
#define CLIP_CELL_BOTTOM   0x02
#define CLIP_CELL_LEFT     0x04
#define CLIP_CELL_RIGHT    0x08


#ifndef FORTUNE_NO_VORONOI
char paint_cell(celldata_t *, uint8_t, uint8_t, short, short, uint32_t *, uint8_t *);
#endif

#ifndef FORTUNE_NO_DELAUNAY
char paint_triangle(triangle_t *, uint8_t, uint8_t, short, short, uint32_t *, uint8_t *);
#endif


#endif /* _DOTCELL_H_INCLUDED */
