/*************************************************************************
 *
 *  Routine for converting Delaunay triangulations into Gabriel graphs
 *  Copyright (C) 2013-2014 Jussi M. Hukkanen
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************
 *
 *  gabriel.h: main header file
 *
 ************************************************************************/

#ifndef _GABRIEL_H_INCLUDED
#define _GABRIEL_H_INCLUDED

#include "fortune.h"

#ifndef FORTUNE_NO_DELAUNAY


/**** TODO: proper support for Gabriel graphs
		would require a data structure defining
		the properties of a Gabriel cell and
		functions that build complete patterns
		combining Delaunay triangles into
		Gabriel cells;
	  however, Gabriel graphs do not always
		consist of cells only, as there may be
		connections that do not belong to any
		triangle or cell; these could be
		represented as ultra-thin cells
		consisting of only two sites ****/


/* function declarations */

/* call
     Delaunay_to_Gabriel();
   when done with the data, call
     Gabriel_cleanup() */

char Delaunay_to_Gabriel(triangle_t *, int, connect_t *, int);
char Gabriel_cleanup(connect_t *);


#endif	/* FORTUNE_NO_DELAUNAY */

#endif	/* _GABRIEL_H_INCLUDED */

