/*************************************************************************
 *
 *  An implementation of Fortune's algorithm
 *  Copyright (C) 2012-2014 Jussi M. Hukkanen
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************
 *
 *  opts.h: header file for command line option parser
 *
 ************************************************************************/

#ifndef _OPTS_INCLUDED
#define _OPTS_INCLUDED

#include <stdlib.h>
#include <getopt.h>
#include <unistd.h>
#include <sys/stat.h>


/* when printing sizeof() values with printf(),
     32-bit and 62-bit code need different
     format strings;
   I agree this is not the most logical place to
     #define the default, but this header is the
     only one included in every program */

#ifndef SIZEOF_FORMAT
#if __WORDSIZE == 64
#define SIZEOF_FORMAT "%lu"
#else
#define SIZEOF_FORMAT "%u"
#endif
#endif


char *make_opt_string(struct option *);
char *get_input_file_name(int, char **argv);

#endif	/* _OPTS_INCLUDED */
